VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Product"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Product
'Wczytuje dane
'I dostarcza metod dostêpu
Private prodName As String
Private qty As String
'------------
Public Sub init(prodString As String)
  Dim i As Integer
  i = InStr(prodString, "--")
  If i > 0 Then
    prodName = Trim(Left$(prodString, i - 1))
    qty = Trim(Right(prodString, Len(prodString) - i - 1))
  Else
    prodName = prodString
    qty = ""
  End If
End Sub
'------------
Public Function getName() As String
  getName = prodName
End Function
'------------
Public Function getQty() As String
  getQty = qty
End Function
